#include "imcarree.h"

// Decoupe l'image pour avoir une taille carree.
imcarree decoupe(byte* ri, byte* gi, byte* bi, int w, int h) {
    imcarree im;
    im.r = ri;
    im.g = gi;
    im.b = bi;
    im.cote = w;
    if(im.cote > h)
        im.cote = h;
    for(int j=0; j<im.cote; j++)
        for(int i=0; i<im.cote; i++) {
            im.r[j*im.cote+i] = im.r[j*w+i];
            im.g[j*im.cote+i] = im.g[j*w+i];
            im.b[j*im.cote+i] = im.b[j*w+i];
        }
    return im;
}
