#include "vect.h"
#include <cmath>
using namespace std;

// Addition
vect operator+(vect v, vect w) {
    v.x += w.x;
    v.y += w.y;
    v.z += w.z;
    return v;
}

// Soustraction
vect operator-(vect v, vect w) {
    v.x -= w.x;
    v.y -= w.y;
    v.z -= w.z;
    return v;
}

// Multiplication scalaire
vect operator*(float f, vect v) {
    v.x *= f;
    v.y *= f;
    v.z *= f;
    return v;
}

// Norme du vecteur
float norme(vect v) {
    return sqrt(v.x*v.x + v.y*v.y + v.z*v.z);
}
